Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.sampled
Class EnumControl.Type

    java.lang.Object
      javax.sound.sampled.Control.Type
          javax.sound.sampled.EnumControl.Type

Enclosing class:
  EnumControl

    public static class EnumControl.Type

extends Control.Type

An instance of the `EnumControl.Type` inner class identifies one kind of enumerated control. Static instances are provided for the common types.

Since:
  1.3
See Also:
  `EnumControl`

Field Summary
`static EnumControl.Type` | `REVERB` Represents a control over a set of possible reverberation settings.

Constructor Summary
`protected` | `EnumControl.Type(String name)` Constructs a new enumerated control type.

Method Summary

Methods inherited from class javax.sound.sampled.Control.Type
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### REVERB

    public static final EnumControl.Type REVERB

  Represents a control over a set of possible reverberation settings. Each reverberation setting is described by an instance of the `ReverbType` class. (To access these settings, invoke ``EnumControl.getValues()`` on an enumerated control of type `REVERB`.)

Constructor Detail

### EnumControl.Type

    protected EnumControl.Type(String name)

  Constructs a new enumerated control type.

  Parameters:
    `name` - the name of the new enumerated control type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.